package com.mortals.xhx.module.sms.web;

import com.mortals.framework.model.Context;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.framework.web.BasePhpCRUDJsonMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.sms.model.SmsTemplateEntity;
import com.mortals.xhx.module.sms.service.SmsTemplateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * 短信模板
 *
 * @author zxfei
 * @date 2022-01-20
 */
@RestController
@RequestMapping("sms/template")
public class SmsTemplateController extends BaseCRUDJsonBodyMappingController<SmsTemplateService, SmsTemplateEntity, Long> {

    @Autowired
    private ParamService paramService;

    public SmsTemplateController() {
        super.setFormClass(SmsTemplateForm.class);
        super.setModuleDesc("短信模板");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "type", paramService.getParamBySecondOrganize("SmsTemplate", "type"));
        this.addDict(model, "source", paramService.getParamBySecondOrganize("SmsTemplate", "source"));
        super.init(model, context);
    }

}